Create Change Request
Create a new change request draft for a subscription.
Only one active (draft or previewed) change request can exist per subscription at a time.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
subscription_id
account_id
Headers
Idempotency-Key
A unique key for this request. A retry with the same key returns the first response instead of running again, for 24 hours. Keys are per caller.
Request
This endpoint expects an object.
reason
Optional reason for the change
expires_in_hours
Hours until the draft expires (1-168). Default value (24 hours) is set at the use case layer.
Response
Successful Response
change_request
Response containing a change request.
Errors
400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error